Rapid7 Vulnerability & Exploit Database

Centos Linux: CVE-2022-31625: Moderate: php:7.4 security update (CESA-2022:6158)

Back to Search

Centos Linux: CVE-2022-31625: Moderate: php:7.4 security update (CESA-2022:6158)

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Published
06/16/2022
Created
08/29/2022
Added
08/26/2022
Modified
08/26/2022

Description

In PHP versions 7.4.x below 7.4.30, 8.0.x below 8.0.20, and 8.1.x below 8.1.7, when using Postgres database extension, supplying invalid parameters to the parametrized query may lead to PHP attempting to free memory using uninitialized data as pointers. This could lead to RCE vulnerability or denial of service.

Solution(s)

  • centos-upgrade-apcu-panel
  • centos-upgrade-libzip
  • centos-upgrade-libzip-debuginfo
  • centos-upgrade-libzip-debugsource
  • centos-upgrade-libzip-devel
  • centos-upgrade-libzip-tools
  • centos-upgrade-libzip-tools-debuginfo
  • centos-upgrade-php
  • centos-upgrade-php-bcmath
  • centos-upgrade-php-bcmath-debuginfo
  • centos-upgrade-php-cli
  • centos-upgrade-php-cli-debuginfo
  • centos-upgrade-php-common
  • centos-upgrade-php-common-debuginfo
  • centos-upgrade-php-dba
  • centos-upgrade-php-dba-debuginfo
  • centos-upgrade-php-dbg
  • centos-upgrade-php-dbg-debuginfo
  • centos-upgrade-php-debuginfo
  • centos-upgrade-php-debugsource
  • centos-upgrade-php-devel
  • centos-upgrade-php-embedded
  • centos-upgrade-php-embedded-debuginfo
  • centos-upgrade-php-enchant
  • centos-upgrade-php-enchant-debuginfo
  • centos-upgrade-php-ffi
  • centos-upgrade-php-ffi-debuginfo
  • centos-upgrade-php-fpm
  • centos-upgrade-php-fpm-debuginfo
  • centos-upgrade-php-gd
  • centos-upgrade-php-gd-debuginfo
  • centos-upgrade-php-gmp
  • centos-upgrade-php-gmp-debuginfo
  • centos-upgrade-php-intl
  • centos-upgrade-php-intl-debuginfo
  • centos-upgrade-php-json
  • centos-upgrade-php-json-debuginfo
  • centos-upgrade-php-ldap
  • centos-upgrade-php-ldap-debuginfo
  • centos-upgrade-php-mbstring
  • centos-upgrade-php-mbstring-debuginfo
  • centos-upgrade-php-mysqlnd
  • centos-upgrade-php-mysqlnd-debuginfo
  • centos-upgrade-php-odbc
  • centos-upgrade-php-odbc-debuginfo
  • centos-upgrade-php-opcache
  • centos-upgrade-php-opcache-debuginfo
  • centos-upgrade-php-pdo
  • centos-upgrade-php-pdo-debuginfo
  • centos-upgrade-php-pear
  • centos-upgrade-php-pecl-apcu
  • centos-upgrade-php-pecl-apcu-debuginfo
  • centos-upgrade-php-pecl-apcu-debugsource
  • centos-upgrade-php-pecl-apcu-devel
  • centos-upgrade-php-pecl-rrd
  • centos-upgrade-php-pecl-rrd-debuginfo
  • centos-upgrade-php-pecl-rrd-debugsource
  • centos-upgrade-php-pecl-xdebug
  • centos-upgrade-php-pecl-xdebug-debuginfo
  • centos-upgrade-php-pecl-xdebug-debugsource
  • centos-upgrade-php-pecl-zip
  • centos-upgrade-php-pecl-zip-debuginfo
  • centos-upgrade-php-pecl-zip-debugsource
  • centos-upgrade-php-pgsql
  • centos-upgrade-php-pgsql-debuginfo
  • centos-upgrade-php-process
  • centos-upgrade-php-process-debuginfo
  • centos-upgrade-php-snmp
  • centos-upgrade-php-snmp-debuginfo
  • centos-upgrade-php-soap
  • centos-upgrade-php-soap-debuginfo
  • centos-upgrade-php-xml
  • centos-upgrade-php-xml-debuginfo
  • centos-upgrade-php-xmlrpc
  • centos-upgrade-php-xmlrpc-debuginfo

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;